:root {
    --body-bg: rgb(213, 236, 252);
    --akzentfarbe: rgb(127, 193, 255);
    --testbg: rgb(200, 130, 250);
}

@import url('https://fonts.googleapis.com/css2?family=Economica:ital,wght@0,400;0,700;1,400;1,700&display=swap');

/**/
.my-2 {
    margin-top: 0.1rem!important;
    margin-bottom: 0.5rem!important;
}


/**/

/* .center {
    display: flex;
    justify-content: center;
    align-items: center;
} */

body {
    margin: 0;
}

.active {
    font-weight: bold;
}

.mainframe {
    min-height: 100vh;
}

.logo:hover {
    animation: pokeballspin 3s linear 0s infinite normal forwards;
}

.space-between {
    display: flex;
    justify-content: space-between;
}

.space-around {
    display: flex;
    justify-content: space-around;
}

h3 {
    z-index: 1;
}

.bold {
    font-weight: bold;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #e15b4d;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: red;
}

/* HEADER */

nav {

    box-shadow: -2px 0 6px 0 rgb(0, 0, 0, 1);
    background-color: rgb(245, 57, 57);
}

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 9999;
}

.navbar-brand {
    color: #fff;
}

.navbar-brand:hover {
    color: #fff;
}

#burger-menu {
    display: none;
}

.home:hover {
    text-decoration: underline;
}

/* FOOTER */

footer {
    position: sticky;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgb(245, 57, 57);
    height: 40px;
    box-shadow: -2px 0 6px 0 rgb(0, 0, 0, 1);

    z-index: 10;

    color: #fff;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

footer a {
    text-decoration: unset;
    color: #fff;
}

footer a:hover {
    font-weight: bold;
}



/* Poke Cards */

#all-pokemon {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    min-width: 90vw;
    padding-top: 80px;

}

.poke-card-small {
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 250px;
    border-radius: 20px;
    border: 1px solid rgb(0, 0, 0, 0.2);
    padding: 15px;
    margin: 10px;
    color: #fff;
}

.poke-card-small:hover {
    box-shadow: 1px 1px 5px rgb(0 0 0 / 50%);
    background-image: linear-gradient(165deg, rgba(255, 255, 255, 0.2) 10%, transparent);
}

.poke-card-mini-bg {
    position: absolute;
    right: 10px;
    bottom: 2px;
    mix-blend-mode: luminosity;
    opacity: 70%;
    height: 130px;
    opacity: 40%;
    transform: rotate(-30deg);

}

.poke-card-small:hover {
    cursor: pointer;
}

.poke-card-mini-pokemon-img {
    z-index: 1;
    height: 110px;
    margin-top: -20px;
    transition: 125ms;
}

.poke-card-mini-pokemon-img:hover {
    transform: scale(1.5);
    transition: 125ms;
    z-index: 6;
}

.types {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.types div,
.types-big div {
    margin-bottom: 10px;
    border-radius: 15px;
    height: 30px;
    width: 70px;

    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

/* LOADING BTN */

#load-btn-div {
    display: flex;
    justify-content: center;
    margin-top: 10px;
    margin-bottom: 20px;
}

/* Big PokeDex */

.poke-card-big {
    z-index: 20;
    position: fixed;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

}



#poke-card-big-img {
    position: absolute;
    top: 32%;
    left: 28%;
    width: 200px;
    object-fit: contain;
    height: 200px;
    margin-bottom: -20px;
    z-index: 1;
}

.poke-card-big-menu-item {
    cursor: pointer;
}

table {
    width: 100%;
}

td {
    width: 100px;
}


.pokedex-Img {
 position: relative;
} 

@keyframes zoomIn {
    from{
        opacity: 0;
        transform: scale(0);
    }
    to{
        opacity: 1;
        transform: scale(1);
    }
}

#pokeballInDex {
    position: absolute;
    top: 7.5%;
    left: 11.5%;
    animation: pokeballspin 10s linear 0s infinite normal forwards;
    cursor: pointer;
}

@keyframes pokeballspin {
    0% {
        transform: rotate(0);
        
    }

    100% {
        transform: rotate(360deg);
        
    }
}

.pokemon-Img {
    
    position: relative;
    top: 216px;
    left: 87px;
    height: 200px;
    width: 300px;

}

#pokeball:hover {
    animation: pokeballspin 3s linear 0s infinite normal forwards;
}

.ctrl-btn {
    border: none;
    background-color: transparent;
    opacity: 0;
}

.ctrl-btn:hover {
    animation: optIn 0.5s ease 0s 1 normal forwards;
}

.menu-btn {
    border: none;
    background-color: transparent;
}

.menu-btn:hover {
    font-weight: bold;
}


@keyframes optIn {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

#pokename {
    position: absolute;
    z-index: 4;
    top: 555px;
    left: 116px;
}

#return-index-up-button {
    position: absolute;
    z-index: 4;
    top: 491px;
    left: 306px;
}

#return-index-down-button {
    position: absolute;
    z-index: 4;
    top: 556px;
    left: 306px;
}

#previous-pokemon-button {
    position: absolute;
    z-index: 4;
    top: 523px;
    left: 278px;
}

#next-pokemon-button {
    position: absolute;
    z-index: 4;
    top: 523px;
    left: 341px;
}

#about {
    position: absolute;
    top: 65.5%;
    left: 22%;
}

#base-stats{
    position: absolute;
    top: 65.5%;
    left: 41%;
}
#moves{
    position: absolute;
    top: 65.5%;
    left: 66%;
}
.poke-card-big-content {
    position: absolute;
    background-color: rgb(44, 22, 77);
    color: white;
    padding: 15px;
    border-radius: 10px;
    border: 4px solid black;
    height: 225px;
    width: 340px;
    top: 31.5%;
    left: 15.5%;
}
.type {
    display: flex;
    justify-content: space-between;
    position: absolute;
    width: 245px;
    top: 77.5%;
    left: 25%;
    color: white;
    font-weight: bold;
}

.arrowright {
    position: absolute;
    height: 50px;
    top: 20%;
    left: 77%;
    
    opacity: 0;
}

.arrowleft {
    position: absolute;
    height: 50px;
    top: 20%;
    left: 13%;
    
    opacity: 0;
}

/* Legal Notice */

#footer-impressum {
    position: relative;
    bottom: 0;
}

.impressum-content {
    margin-top: 115px;
    margin-bottom: 80px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 15px;

}

/* Privacy Policy */

.datenschutz-content {
    padding-top: 100px;
    padding-left: 15px;
    padding-right: 15px;
}

/* MEDIA QUERIES */


@media(max-width: 975px) {
    .poke-card-big {
        margin-top: 10%;
    }
    .arrowright {
        cursor: pointer;
        opacity: 1;
    }
    .arrowleft {
        cursor: pointer;
        opacity: 1;
    }
    /* #pokedex-right {
        display: none;
    } */
}

@media(max-width: 750px) {

    .container-fluid {
        display: flex;
        flex-direction: column;
    }

    #all-pokemon {
        padding-top: 120px;
    }

    .poke-card-big {
        margin-top: 20%;
    }
}


@media(max-width: 500px) {

    .poke-card-big {
        transform: scale(0.8);
    }
    

    #burger-menu {
        display: block;
        display: flex;
        align-items: center;
        cursor: pointer;
    }

    #burger-menu img {
        height: 40px;
    }

    .mobile-nav {
        width: 80%;
    }

    .nav-right-mobile {
        flex-direction: column;
        align-items: center;
    }

    .nav-right-mobile button {
        margin-top: 5px;
        width: 300px
    }

    .mx-2 {
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

    #all-pokemon {
        padding-top: 80px;
    }

    .hide-500 {
        display: none !important;
    }

    .d-none-mobile {
        display: none !important;
    }

    .in-card-btn {
        display: block;
        position: absolute;
        height: 40px;
        width: 40px;
        border: unset;
        z-index: 25;
        color: #fff;
        border: 1px solid #fff;
        font-size: 20px;
        border-radius: 25px;
    }

    .in-card-btn:hover {
        font-weight: bold;
        border: 2px solid #fff;
    }

    .in-card-btn-left {
        top: 200px;
        left: 20px;
    }

    .in-card-btn-right {
        top: 200px;
        right: 20px;
    }
}


@media(max-width: 400px) {
    .none {
        display: none;
    }
}

@media(max-width: 390px) {
    .poke-card-big {
        transform: scale(0.6);
    }
}

@media(max-width: 365px) {
    .nav-right-mobile button {
        width: 220px
    }

}